;**************************************************************
;*  Fonction qui convertie une valeur hexadecimal de 32 bits  *
;*  en chaine de 8 caracteres.                                *
;*  Cette fonction ne place pas le caractere NULL de fin.     *
;*                                                            *
;* Entre : push -> pointeur du buffer caract.                *
;*          push -> valeur hex (32bits)                       *
;*          call hex2ascii                                    *
;**************************************************************

hex2ascii :
        pushfd
        pushad
        
        mov edx, dword ptr [esp+_pushad+4+4+(0*4)]    ; valeur hex (32bits)  
        mov edi, dword ptr [esp+_pushad+4+4+(1*4)]    ; pointeur du buffer caract. 
        
        mov       ecx,8
        add       edi,7
        std     

boucle_hex2ascii :
        mov       al,dl
        and       al,0Fh 
        add       al,'0' 
        cmp       al,'9' 
        jbe       @F  
        add       al,07 
@@:
        stosb
        shr       edx,04
        loop      boucle_hex2ascii               
sortie_hex2ascii :
        popad
        popfd
        ret (2*4)

